<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.text.*?>
<?import javafx.scene.effect.*?>
<?import javafx.scene.paint.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>


<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.MainController">
   <children>
      <TabPane layoutX="3.0" layoutY="3.0" prefHeight="393.0" prefWidth="593.0" tabClosingPolicy="UNAVAILABLE">
        <tabs>
          <Tab text="Product">
            <content>
              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="171.0" prefWidth="351.0">
                     <children>
                        <Button fx:id="saveProductButton" layoutX="184.0" layoutY="290.0" mnemonicParsing="false" onAction="#saveProduct" prefHeight="48.0" prefWidth="209.0" text="Save product">
                           <font>
                              <Font name="System Bold" size="17.0" />
                           </font>
                        </Button>
                        <TextField fx:id="streetTextField" layoutX="297.0" layoutY="134.0" prefHeight="25.0" prefWidth="217.0" />
                        <TextField fx:id="cityTextField" layoutX="297.0" layoutY="90.0" prefHeight="25.0" prefWidth="217.0" />
                        <TextField fx:id="sellerIdTextField" layoutX="298.0" layoutY="223.0" prefHeight="25.0" prefWidth="216.0" promptText="sellerIdTextField" />
                        <Label layoutX="44.0" layoutY="93.0" text="Enter city of product" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="44.0" layoutY="137.0" text="Enter street of product" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="44.0" layoutY="226.0" text="Enter seller's ID of product" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="88.0" layoutY="24.0" text="Registration of a product in the Auction Database" textFill="#0d0d0d" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <Label layoutX="44.0" layoutY="177.0" text="Enter the number of product" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <TextField fx:id="numberTextField" layoutX="298.0" layoutY="174.0" prefHeight="25.0" prefWidth="216.0" />
                     </children>
                  </AnchorPane>
            </content>
          </Tab>
          <Tab text="Seller">
            <content>
              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                     <children>
                        <Label layoutX="97.0" layoutY="34.0" text="Registration of a seller in the Auction Database" textFill="#0d0d0d" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <Button fx:id="saveSellerButton" layoutX="192.0" layoutY="241.0" mnemonicParsing="false" onAction="#saveSeller" prefHeight="48.0" prefWidth="209.0" text="Save seller">
                           <font>
                              <Font name="System Bold" size="17.0" />
                           </font>
                        </Button>
                        <Label layoutX="44.0" layoutY="127.0" text="Enter the name of the product seller" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <TextField fx:id="sellerNameTextField" layoutX="317.0" layoutY="125.0" prefHeight="25.0" prefWidth="217.0" />
                     </children>
                  </AnchorPane>
            </content>
          </Tab>
            <Tab text="Buyer">
              <content>
                <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                     <children>
                        <Label layoutX="95.0" layoutY="36.0" text="Registration of a buyer in the Auction Database" textFill="#0d0d0d" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <Label layoutX="42.0" layoutY="111.0" text="Enter the first name of the product buyer" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="42.0" layoutY="188.0" text="Enter the last name of the product buyer" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Button fx:id="saveBuyerButton" layoutX="184.0" layoutY="260.0" mnemonicParsing="false" onAction="#saveBuyer" prefHeight="48.0" prefWidth="209.0" text="Save buyer">
                           <font>
                              <Font name="System Bold" size="17.0" />
                           </font>
                        </Button>
                        <TextField fx:id="buyeFirstrNameTextField" layoutX="346.0" layoutY="109.0" prefHeight="25.0" prefWidth="217.0" />
                        <TextField fx:id="buyerLastNameTextField" layoutX="346.0" layoutY="186.0" prefHeight="25.0" prefWidth="217.0" />
                     </children>
                  </AnchorPane>
              </content>
            </Tab>
            <Tab text="Bid">
              <content>
                <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                     <children>
                        <Label layoutX="125.0" layoutY="48.0" text="Registration of a bid in the Auction Database" textFill="#0d0d0d" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <Button fx:id="saveBidButton" layoutX="192.0" layoutY="274.0" mnemonicParsing="false" onAction="#saveBid" prefHeight="48.0" prefWidth="209.0" text="Save bid">
                           <font>
                              <Font name="System Bold" size="17.0" />
                           </font>
                        </Button>
                        <Label layoutX="31.0" layoutY="110.0" text="Enter nominal of the product bid" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="31.0" layoutY="153.0" text="Enter buyer id of the bid" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <Label layoutX="31.0" layoutY="206.0" text="Enter product id of the bid" textFill="#3905f5" textOverrun="WORD_ELLIPSIS">
                           <cursor>
                              <Cursor fx:constant="SW_RESIZE" />
                           </cursor>
                           <effect>
                              <InnerShadow color="#3f07f8" />
                           </effect>
                           <font>
                              <Font name="System Italic" size="14.0" />
                           </font>
                        </Label>
                        <TextField fx:id="nominalTextField" layoutX="310.0" layoutY="98.0" prefHeight="25.0" prefWidth="217.0" />
                        <TextField fx:id="buyerIdTextField" layoutX="310.0" layoutY="150.0" prefHeight="25.0" prefWidth="217.0" />
                        <TextField fx:id="productIdTextField" layoutX="310.0" layoutY="204.0" prefHeight="25.0" prefWidth="217.0" />
                     </children>
                  </AnchorPane>
              </content>
            </Tab>
        </tabs>
      </TabPane>
   </children>
</AnchorPane>
